<?php declare(strict_types=1);

namespace Infomaker\Everyware\NewsML\LinkParsers;

use Infomaker\Everyware\NewsML\Item;

/**
 * Class AuthorLinkParser
 * @package Infomaker\Everyware\NewsML\LinkParsers
 */
class AuthorLinkParser extends BaseLinkParser
{
    public const LINK_TYPE = 'x-im/author';

    protected function getLinkData(Item $item): array
    {
        $data = $item->getFirstChild('data');

        return $data instanceof Item ? $this->extractData($data) : [];
    }

    protected function extractData(Item $data): array
    {
        return array_filter([
            'email' => $data->get('email')
        ]);
    }
}
