<?php declare(strict_types=1);

namespace Infomaker\Everyware\NewsML\LinkParsers;

use Infomaker\Everyware\NewsML\Item;

/**
 * Class FocalPointLinkParser
 * @package Infomaker\Everyware\NewsML\LinkParsers
 */
class FocalPointLinkParser extends BaseLinkParser
{
    public const LINK_TYPE = 'x-im/focal-point';

    protected function getLinkData(Item $item): array
    {
        $data = $item->getFirstChild('data');

        return $data instanceof Item ? $this->extractData($data) : [];
    }

    protected function extractData(Item $data): array
    {
        return array_filter([
            'x' => $data->get('x'),
            'y' => $data->get('y')
        ]);
    }
}
