<?php

namespace Spec\Infomaker\Everyware\NewsML\LinkParsers;

use Infomaker\Everyware\NewsML\LinkParsers\FacebookPageLinkParser;
use Spec\Infomaker\Everyware\NewsML\ParserSpec;


class FacebookPageLinkParserSpec extends ParserSpec
{
    function it_is_initializable()
    {
        $this->shouldHaveType(FacebookPageLinkParser::class);
    }

    public function it_should_parse_a_link()
    {
        $xml = '<link rel="self" type="x-im/facebook-page" url="https://www.facebook.com/infomakerscandinavia" uri="im://facebook-page/infomakerscandinavia"/>';
        $this->validateXML($xml, [
            'rel' => 'self',
            'type' => 'x-im/facebook-page',
            'url' => 'https://www.facebook.com/infomakerscandinavia',
            'uri' => 'im://facebook-page/infomakerscandinavia',
        ]);
    }
}
