<?php

namespace Spec\Infomaker\Everyware\NewsML\LinkParsers;

use Infomaker\Everyware\NewsML\LinkParsers\TwitterLinkParser;
use Spec\Infomaker\Everyware\NewsML\ParserSpec;

class TwitterLinkParserSpec extends ParserSpec
{
    function it_is_initializable()
    {
        $this->shouldHaveType(TwitterLinkParser::class);
    }

    public function it_should_parse_an_element()
    {
        $xml = '<link rel="self" type="x-im/tweet" url="https://twitter.com/infomakernews/status/910422014271348736" uri="im://tweet/910422014271348736"/>';
        $this->validateXML($xml, [
            'rel' => 'self',
            'type' => 'x-im/tweet',
            'url' => 'https://twitter.com/infomakernews/status/910422014271348736',
            'uri' => 'im://tweet/910422014271348736',
        ]);
    }
}
