<?php declare(strict_types=1);

namespace Spec\Infomaker\Everyware\NewsML;

use Infomaker\Everyware\NewsML\Parsers\Interfaces\ItemParser;
use Infomaker\Everyware\NewsML\Parsers\Interfaces\TypeParser;
use PhpSpec\ObjectBehavior;
use SimpleXMLIterator;

/**
 * Class ParserSpec
 * @package Infomaker\Everyware\NewsML
 * @method parse(SimpleXMLIterator $el)
 */
abstract class ParserSpec extends ObjectBehavior
{
    function it_implements_correct_interfaces()
    {
        $this->shouldImplement(ItemParser::class);
        $this->shouldImplement(TypeParser::class);
    }

    protected function validateXML($xml, array $matchValues): void
    {
        $el = simplexml_load_string($xml, 'SimpleXMLIterator');
        $this->parse($el)->shouldReturnValidItem($matchValues);
    }

    protected function concatenateXML(string $xml): string
    {
        return implode('', array_map('trim', explode(PHP_EOL, $xml)));
    }
}
